Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming
Class JndiPermission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              org.apache.naming.JndiPermission

All Implemented Interfaces:
  java.io.Serializable, java.security.Guard

    public final class JndiPermission

extends java.security.BasicPermission

Java SecurityManager Permission class for JNDI name based file resources

The JndiPermission extends the BasicPermission. The permission name is a full or partial jndi resource name. An * can be used at the end of the name to match all named resources that start with name. There are no actions.

Example that grants permission to read all JNDI file based resources:

- permission org.apache.naming.JndiPermission "*";

Author:
  Glenn Nielsen
See Also:
  Serialized Form

Constructor Summary
`JndiPermission(java.lang.String name)` Creates a new JndiPermission with no actions
`JndiPermission(java.lang.String name, java.lang.String actions)` Creates a new JndiPermission with actions

Method Summary

Methods inherited from class java.security.BasicPermission
`equals, getActions, hashCode, implies, newPermissionCollection`

Methods inherited from class java.security.Permission
`checkGuard, getName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JndiPermission

    public JndiPermission(java.lang.String name)

  Creates a new JndiPermission with no actions

  Parameters:
    `name` - - JNDI resource path name

### JndiPermission

    public JndiPermission(java.lang.String name,
                          java.lang.String actions)

  Creates a new JndiPermission with actions

  Parameters:
    `name` - - JNDI resource path name
    `actions` - - JNDI actions (none defined)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.